## eukleides 0.9.2

=== Makefile ===
# Eukleides 0.9.2 makefile
# Copyright (c) Christian Obrecht 2000-2002

CC = gcc
CFLAGS = -c -O2
OBJECTS = lex.yy.o parser.tab.o main.o geometry.o drawing.o
LEX = flex
YACC = bison -d
PREFIX = /usr/local/
BIN = $(PREFIX)bin/
MAN = $(PREFIX)man/man1/
INFO = $(PREFIX)info/
PAPER = --texinfo=@afourpaper
DOC = eukleides.info eukleides.dvi eukleides.ps

eukleides : $(OBJECTS)
	$(CC) -o $@ -lm $(OBJECTS)

.c.o :
	$(CC) $(CFLAGS) $<

lex.yy.c : lexer.l parser.tab.c
	$(LEX) $<

parser.tab.c : parser.y
	$(YACC) $<

man : eukleides.man
	cp -f $< $(MAN)eukleides.1 ; \
	ln -fs $(MAN)eukleides.1 $(MAN)euk2eps.1 ; \
	ln -fs $(MAN)eukleides.1 $(MAN)euk2edit.1

info : eukleides.texi
	makeinfo $<

dvi : eukleides.texi
	cp $< tmp.texi ; \
	texi2dvi $(PAPER) tmp.texi ; \
	mv tmp.dvi eukleides.dvi ; \
	rm -f tmp.*

book : dvi
	dvips -f eukleides.dvi > eukleides.ps

install : eukleides man info
	strip eukleides ; \
	cp -f eukleides $(BIN)eukleides ; \
	chmod +x euk2eps ; \
	cp -f euk2eps $(BIN)euk2eps ; \
	chmod +x euk2edit ; \
	cp -f euk2edit $(BIN)euk2edit ; \
	install-info eukleides.info $(INFO)dir ; \
	cp -f eukleides.info $(INFO)eukleides.info

uninstall :
	rm -f $(BIN)eukleides ; \
	rm -f $(BIN)euk2edit ; \
	rm -f $(BIN)euk2eps ; \
	rm -f $(MAN)eukleides.1 ; \
	rm -f $(MAN)euk2eps.1 ; \
	rm -f $(MAN)euk2edit.1 ; \
	install-info --delete eukleides.info $(INFO)dir ; \
	rm -f $(INFO)eukleides.info

clean :
	rm -f lex.yy.c parser.tab.* *.o eukleides $(DOC)

## eukleides 1.0.3

=== Makefile ===
# Eukleides 1.0.3 makefile
# Copyright (c) Christian Obrecht 2000-2005

CC = gcc
CFLAGS = -c -O2
OBJECTS = lex.yy.o parser.tab.o main.o geometry.o drawing.o
LEX = flex
YACC = bison -d

include Config

BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man/man1
INFODIR = $(PREFIX)/info
PAPER = --texinfo=@afourpaper
DOC = eukleides.info eukleides.dvi eukleides.ps

$(BIN) : $(OBJECTS)
	$(CC) -o $@ -lm $(OBJECTS)

.c.o :
	$(CC) $(CFLAGS) $<

lex.yy.c : lexer.l parser.tab.c
	$(LEX) $<

parser.tab.c : parser.y
	$(YACC) $<

man : eukleides.1
	install -d $(MANDIR) ; \
	install -m 0644 $< $(MANDIR) ; \
	ln -fs $(MANDIR)/eukleides.1 $(MANDIR)/euk2eps.1 ; \
	ln -fs $(MANDIR)/eukleides.1 $(MANDIR)/euk2edit.1

info : eukleides.texi
	makeinfo $<

dvi : eukleides.texi
	cp $< tmp.texi ; \
	texi2dvi $(PAPER) tmp.texi ; \
	mv tmp.dvi eukleides.dvi ; \
	rm -f tmp.*

book : dvi
	dvips -f eukleides.dvi > eukleides.ps

install : $(BIN) man info
	install -d $(BINDIR) ; \
	install -s $(BIN) $(BINDIR) ; \
	install euk2eps $(BINDIR) ; \
	install euk2edit $(BINDIR) ; \
	install -d $(INFODIR) ; \
	install-info eukleides.info $(INFODIR)/dir ; \
	install -m 0644 eukleides.info $(INFODIR)

uninstall :
	rm -f $(BINDIR)/$(BIN) ; \
	rm -f $(BINDIR)/euk2edit ; \
	rm -f $(BINDIR)/euk2eps ; \
	rm -f $(MANDIR)/eukleides.1 ; \
	rm -f $(MANDIR)/euk2eps.1 ; \
	rm -f $(MANDIR)/euk2edit.1 ; \
	install-info --delete eukleides.info $(INFODIR)/dir ; \
	rm -f $(INFODIR)/eukleides.info

clean :
	rm -f lex.yy.c parser.tab.* *.o $(BIN) $(DOC)

## eukleides 1.5.4

=== Makefile ===
# Eukleides main makefile
# Copyright (c) Christian Obrecht 2004-2010

include Config

MAKEC = $(MAKE) --no-print-directory -C
LOC := $(strip $(LOCALES))
INSTALL_BINARIES := $(addsuffix .install,$(BINARIES))

all: bin loc doc man

bin: $(BINARIES)

$(BINARIES):
	@echo "Making $@"
	@export BINARY=$@ && $(MAKEC) build

loc:
ifneq ($(LOC),)
	@echo "Making locales"
	@$(MAKEC) contrib/po
endif

doc: loc_doc
	@echo "Making documentation"
	@$(MAKEC) doc

loc_doc:
ifneq ($(LOC),)
	@echo "Making locales documentation"
	@$(MAKEC) contrib/po documentation
endif

.PHONY: man

man:
	@echo "Compressing man pages"
	@$(MAKEC) man

install: $(INSTALL_BINARIES) install_scr install_tex install_loc install_doc \
         install_man install_exm

$(INSTALL_BINARIES):
	@export BINARY=$(basename $@) && $(MAKEC) build install

install_scr:
	@echo "Installing scripts"
	@install bash/* $(BIN_DIR)

install_tex:
	@echo "Installing TeX files"
	@install -d $(TEX_DIR)
	@install -m 0644 tex/* $(TEX_DIR)
	@mktexlsr 2> /dev/null

install_loc:
ifneq ($(LOC),)
	@echo "Installing locales"
	@$(MAKEC) contrib/po install
endif

install_doc:
	@echo "Installing documentation"
	@$(MAKEC) doc install
ifneq ($(LOC),)
	@$(MAKEC) contrib/po install_doc
endif

install_exm:
	@echo "Installing examples"
	@install -d $(EXM_DIR)
	@install -m 0644 contrib/examples/* $(EXM_DIR)

install_man:
	@echo "Installing man pages"
	@$(MAKEC) man install

uninstall: uninstall_bin uninstall_scr uninstall_tex uninstall_loc \
           uninstall_doc uninstall_man

uninstall_bin:
	@echo "Uninstalling binaries"
	@$(MAKEC) build uninstall

uninstall_scr:
	@echo "Uninstalling scripts"
	@$(RM) $(addprefix $(BIN_DIR)/,$(notdir $(wildcard bash/*)))

uninstall_tex:
	@echo "Uninstalling TeX files"
	@$(RM) -r $(TEX_DIR)
	@mktexlsr 2> /dev/null

uninstall_loc:
ifneq ($(LOC),)
	@echo "Uninstalling locales"
	@$(MAKEC) contrib/po uninstall
endif

uninstall_doc:
	@echo "Uninstalling documentation"
	@$(MAKEC) doc uninstall

uninstall_man:
	@echo "Uninstalling man pages"
	@$(MAKEC) man uninstall

clean: clean_bin clean_loc clean_doc clean_man

clean_bin:
	@echo "Cleaning binaries"
	@$(MAKEC) build clean

clean_loc:
ifneq ($(LOC),)
	@echo "Cleaning locales"
	@$(MAKEC) contrib/po clean
endif

clean_doc:
	@echo "Cleaning documentation"
	@$(MAKEC) doc clean

clean_man:
	@echo "Cleaning man pages"
	@$(MAKEC) man clean

=== build/Makefile ===
# Eukleides binaries makefile
# Copyright (c) Christian Obrecht 2004-2010

include ../Config

BUILD_DIR = $(addsuffix _build,$(BINARY))
DEPEND = $(BUILD_DIR)/depend
COMMON_DIR = ../src/common
MAIN_DIR = ../src/$(BINARY)
LEX = flex
LFLAGS = -8
YACC = bison
YFLAGS = -d
CC = gcc
IFLAGS = -I$(COMMON_DIR) -I$(MAIN_DIR) -I$(BUILD_DIR) 
ifneq ($(strip $(LOCALES)),)
MOFLAGS = -DMO_DIR=\"$(MO_DIR)\" 
endif
CFLAGS = -Wall -D__$(BINARY)__ $(IFLAGS) $(MOFLAGS)
LDFLAGS = -lncurses -lreadline -lm
VPATH = $(COMMON_DIR):$(MAIN_DIR):$(BUILD_DIR)

$(BINARY):

$(BUILD_DIR)/parser.tab.h $(BUILD_DIR)/parser.tab.c: $(COMMON_DIR)/parser.y
	@echo "    Building parser"
	@$(YACC) $(YFLAGS) $< -o $@

$(BUILD_DIR)/lex.yy.c: $(COMMON_DIR)/lexer.l $(BUILD_DIR)/parser.tab.h
	@echo "    Building lexer"
	@$(LEX) $(LFLAGS) -o$@ $<

SOURCES := $(wildcard $(COMMON_DIR)/*.c) \
           $(wildcard $(MAIN_DIR)/*.c) \
           $(BUILD_DIR)/parser.tab.c \
           $(BUILD_DIR)/lex.yy.c

OBJECTS := $(addprefix $(BUILD_DIR)/,$(notdir $(SOURCES:.c=.o)))
          
$(DEPEND): $(SOURCES)
	@echo "    Making dependencies"
	@$(CC) -MM $(IFLAGS) $^ > $@

$(BUILD_DIR)/%.o: %.c
	@echo "    Building $(notdir $@)"
	@$(CC) $(CFLAGS) -c $< -o $@

$(BINARY): $(OBJECTS)
	@echo "    Linking $(notdir $@)"
	@$(CC) $(LDFLAGS) $^ -o $@

ifneq ($(BINARY),)
-include $(DEPEND)
endif

install: $(BINARY)
	@echo "Installing $<"
	@install -s $< $(BIN_DIR)

uninstall:
	@$(RM) $(addprefix $(BIN_DIR)/,$(BINARIES))

clean:
	@$(RM) $(BINARIES) $(addsuffix _build/*,$(BINARIES))

=== doc/Makefile ===
# Eukleides documentation makefile
# Copyright (c) Christian Obrecht 2004-2010

include ../Config

MAKEHTML = makeinfo --no-validate --html
TEXI = eukleides.texi
CSS = eukleides.css

documentation: $(DOC)

info: eukleides.info.gz

eukleides.info: $(TEXI)
	@echo "    Building info pages"
	@makeinfo $<

eukleides.info.gz: eukleides.info
	@gzip -c $< > $@

pdf: eukleides.pdf

eukleides.pdf: $(TEXI)
	@echo "    Building manual in PDF"
ifeq ($(PAPER),A4)
	@texi2pdf --texinfo=@afourpaper $< > /dev/null
else
	@texi2pdf $< > /dev/null
endif

ifeq ($(HTML),split)
html: manual/index.html
else
html: eukleides.html
endif

manual/index.html: $(TEXI)
	@echo "    Building manual in HTML format"
	@$(MAKEHTML) --css-ref=$(CSS) --output=manual $< && cp $(CSS) manual

eukleides.html: $(TEXI)
	@echo "    Building manual in HTML format"
	@$(MAKEHTML) --no-split --no-headers --css-include=$(CSS) \
		    --output=eukleides.html $<

INST_TARG := $(addprefix install_, $(DOC))

install: $(INST_TARG)

install_info: eukleides.info.gz
	@echo "    Installing info pages"
	@install -d $(INFO_DIR)
	@ginstall-info --quiet $< $(INFO_DIR)/dir
	@install -m 0644 $< $(INFO_DIR)

install_pdf: pdf
	@echo "    Installing manual in PDF"
	@install -d $(DOC_DIR)
	@install -m 0644 eukleides.pdf $(DOC_DIR)

ifeq ($(HTML),split)
install_html: install_split
else
install_html: install_nosplit
endif

install_split: html
	@echo "    Installing manual in HTML format"
	@install -d $(DOC_DIR)
	@install -d $(DOC_DIR)/manual
	@install -m 0644 manual/* $(DOC_DIR)/manual

install_nosplit: html
	@echo "    Installing manual in HTML format"
	@install -d $(DOC_DIR)
	@install -m 0644 eukleides.html $(DOC_DIR)

uninstall:
	@$(RM) -r $(DOC_DIR)
ifneq ($(findstring info,$(DOC)),)
	@ginstall-info --quiet --remove eukleides $(INFO_DIR)/dir
	@$(RM) $(INFO_DIR)/eukleides.info.gz
endif

tidy:
	@$(RM) eukleides.{aux,cp,cps,fn,fns,ky,log,pg,toc,tp,vr}

clean: tidy
	@$(RM) eukleides.{info,info.gz,pdf,html} manual/*

=== man/Makefile ===
# Eukleides manpages makefile
# Copyright (c) Christian Obrecht 2004-2010

include ../Config

MAN_PAGES := $(addsuffix .gz, $(wildcard *.1))

man: $(MAN_PAGES)

%.1.gz: %.1
	@gzip -c $< > $@

install: $(MAN_PAGES)
	@install -d $(MAN_DIR)
	@install -m 0644 $^ $(MAN_DIR)

uninstall:
	@$(RM) $(addprefix $(MAN_DIR)/, $(MAN_PAGES))

clean:
	@$(RM) $(MAN_PAGES)

=== contrib/po/Makefile ===
# Eukleides locales makefile
# Copyright (c) Christian Obrecht 2004-2010

include ../../Config

MO_FILES := $(addsuffix .mo, $(LOCALES))

locales: $(MO_FILES)

%.mo: %.po
	@echo "    Building $@"
	@msgfmt -o $@ -v $< 2> /dev/null

install: $(LOCALES)

$(LOCALES): $(MO_FILES)
	@dir=$(MO_DIR)/$@/LC_MESSAGES && \
	install -d $$dir && \
	install -m 0644 $@.mo $$dir/eukleides.mo

PDF_FILES := $(addsuffix .pdf, $(LOCALES))
TEX_FILES := $(addsuffix .tex, $(LOCALES))

documentation: $(PDF_FILES)

$(PDF_FILES): $(TEX_FILES)

%.tex: %.po
	@perl extract.pl $< $@ $(PAPER)

%.pdf: %.tex
	@echo "    Building $@"
	@pdflatex -interaction=nonstopmode $< > /dev/null

install_doc: $(PDF_FILES)
	@install -d $(DOC_DIR)
	@install -m 0644 $^ $(DOC_DIR)

uninstall:
	@for f in $(LOCALES); \
	 do \
	     $(RM) $(MO_DIR)/$$f/LC_MESSAGES/eukleides.mo; \
	 done

pot: eukleides.pot

files:
	grep -R -l "(_(" ../src/ > $@

messages: files
	xgettext --no-location --omit-header -k_ -f $< -o $@
	printf "\nmsgid \"parse error\"\nmsgstr \"\"\n" >> $@

keywords: ../src/common/keywords.c
	xgettext --no-location -k__ $< -o $@
	printf "\n### End of keywords ###\n\n" >> $@

eukleides.pot: keywords messages
	cat $^ > $@

clean:
	@for f in $(LOCALES); do $(RM) $$f.{mo,tex,log,pdf}; done
	@$(RM) files keywords messages eukleides.pot

=== debian/changelog ===
eukleides (1.5.4-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #962754)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make install substitutable.
    + Pass a non-stripping install to make install.

  [ Georges Khaznadar ]
  * included Helmut Grohne's patch, and changed the release number
  * named myself as Maintainer, to adopt the package (Closes: #994642)
  * upgraded Standards-Version: 4.5.1; debhelper-compat (= 13)
  * declared VCS stuff at https://salsa.debian.org/georgesk/eukleides
  * simplified d/rules with debhelper's dh

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jan 2022 18:59:13 +0100

eukleides (1.5.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957183)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 22 Jan 2021 21:03:48 +0000

eukleides (1.5.4-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Don't call mktexlsr during the build. (Closes: #959548)
  * Fix building twice in a row.

 -- Adrian Bunk <bunk@debian.org>  Fri, 29 May 2020 18:05:05 +0300

eukleides (1.5.4-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * build/Makefile: Use LIBS to pass the libraries to link with, and use it
    at the right position in the linker call. Closes: #880671.
  * Convert to package source format 3.0.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 13:42:43 +0100

eukleides (1.5.4-4) unstable; urgency=medium

  * Maintenance Release 
    * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 27 Jun 2016 20:02:22 +0100

eukleides (1.5.4-3) unstable; urgency=low

  * Fix texi documentation and makefile (closes: #712325)
  * Fix a few spelling mistakes in docs
  * Enable hardning flags during build
  * Update a few smallish packaging problems to keep lintian happier
  * Bump standards-version

 -- Robert Lemmen <robertle@semistable.com>  Thu, 04 Jul 2013 17:40:55 +0100

eukleides (1.5.4-2) unstable; urgency=low

  * Disable linking against ncurses (closes: #646136)
  * Update policy version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 16 Nov 2011 18:25:14 +0000

eukleides (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 Jun 2010 10:56:37 +0100

eukleides (1.5.3-1) unstable; urgency=low

  * New Upstream release (please see README.Debian for incompatibilities)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 24 Mar 2010 19:14:01 +0000

eukleides (1.0.3-3) unstable; urgency=low

  * Taking over package
  * Fixed dependencies (closes: #526723)
  * Replaced included webpage tarball with a current one that does state the
    license (GPL like the package itself)
  * Replaced a sample that was missing license information with a new one
  * Bumped Standards-Version

 -- Robert Lemmen <robertle@semistable.com>  Tue, 08 Sep 2009 10:45:07 +0100

eukleides (1.0.3-2) unstable; urgency=low

  * QA upload.
  * Include parser.tab.h in parser.y to build with bison. (Closes: #518875).
  * Add texlive-pstricks to Suggests. (Closes: #441024).
  * Move Homepage from package description to source stanza.
  * Fix doc-base section.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 01 May 2009 15:26:01 -0400

eukleides (1.0.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.  Closes: #262098.
  * Package is orphaned (#419083); set maintainer to Debian QA Group.
  * Suggest texlive instead of tetex-bin.
  * Switch to debhelper 5.
  * debian/rules:
    - Use dh_install* for everything; less work than patching Makefile.
      Incidentally, this fixes the symlinks.  Closes: #341576.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/copyright:
    - Add full copyright.
    - Update upstream URL and e-mail.
  * debian/dirs: Remove /usr/sbin.
  * debian/preinst, debian/postinst, debian/prerm, debian/postrm:
    Unmodified templates; remove.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 29 Apr 2007 11:16:04 +0200

eukleides (0.9.2-3) unstable; urgency=low

  * Added Replaces: xeukleides (<<0.9.2-1).  closes: #185811
  * Conforms to Policy 3.5.9  No change to package necessary.

 -- Streph Treadway <sbt@ginkwunk.net>  Sat, 22 Mar 2003 20:16:55 -0500

eukleides (0.9.2-2) unstable; urgency=low

  * Added texinfo build depends. 

 -- Streph Treadway <sbt@ginkwunk.net>  Sun,  9 Mar 2003 11:29:20 -0500

eukleides (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Added upstream html documentation.
  * This package closes my ITP bug for it.  closes: #182489

 -- Streph Treadway <sbt@ginkwunk.net>  Wed, 22 Jan 2003 18:17:03 -0500

=== debian/control ===
Source: eukleides
Section: math
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 flex,
 bison,
 libreadline-dev,
 texinfo
Standards-Version: 4.5.1
Homepage: http://www.eukleides.org/
Vcs-Browser: https://salsa.debian.org/georgesk/eukleides
Vcs-Git: https://salsa.debian.org/georgesk/eukleides.git

Package: eukleides
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: pstoedit,
 texlive,
 texlive-pstricks
Recommends: texlive-latex-recommended
Description: Euclidean geometry drawing language
 Eukleides is a language which allows one to typeset geometric figures
 within a (La)TeX document.  This package includes scripts to convert
 these figures into EPS and other formats.  Eukleides uses a console
 interface.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/eukleides.info

override_dh_auto_build:
	mkdir -p build/eukleides_build
	mkdir -p build/euktopst_build
	dh_auto_build
	make doc
	make install_doc

=== debian/watch ===
version=3
http://www.eukleides.org/download.html	files/eukleides[.-](.*)\.tar\.bz2

## eukleides 1.5.5

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,6 @@
 	@echo "Installing TeX files"
 	@install -d $(TEX_DIR)
 	@install -m 0644 tex/* $(TEX_DIR)
-	@mktexlsr 2> /dev/null
 
 install_loc:
 ifneq ($(LOC),)

=== build/Makefile ===
--- 
+++ 
@@ -11,13 +11,14 @@
 LFLAGS = -8
 YACC = bison
 YFLAGS = -d
-CC = gcc
+CC ?= gcc
+INSTALL ?= install
 IFLAGS = -I$(COMMON_DIR) -I$(MAIN_DIR) -I$(BUILD_DIR) 
 ifneq ($(strip $(LOCALES)),)
 MOFLAGS = -DMO_DIR=\"$(MO_DIR)\" 
 endif
-CFLAGS = -Wall -D__$(BINARY)__ $(IFLAGS) $(MOFLAGS)
-LDFLAGS = -lncurses -lreadline -lm
+CFLAGS += -Wall -D__$(BINARY)__ $(IFLAGS) $(MOFLAGS)
+LIBS += -lreadline -lm
 VPATH = $(COMMON_DIR):$(MAIN_DIR):$(BUILD_DIR)
 
 $(BINARY):
@@ -47,7 +48,7 @@
 
 $(BINARY): $(OBJECTS)
 	@echo "    Linking $(notdir $@)"
-	@$(CC) $(LDFLAGS) $^ -o $@
+	@$(CC) $^ -o $@ $(LIBS)
 
 ifneq ($(BINARY),)
 -include $(DEPEND)
@@ -55,7 +56,7 @@
 
 install: $(BINARY)
 	@echo "Installing $<"
-	@install -s $< $(BIN_DIR)
+	@$(INSTALL) -s $< $(BIN_DIR)
 
 uninstall:
 	@$(RM) $(addprefix $(BIN_DIR)/,$(BINARIES))

=== doc/Makefile ===
--- 
+++ 
@@ -3,13 +3,13 @@
 
 include ../Config
 
-MAKEHTML = makeinfo --no-validate --html
+MAKEHTML = makeinfo --no-validate --html --force
 TEXI = eukleides.texi
 CSS = eukleides.css
 
 documentation: $(DOC)
 
-info: eukleides.info.gz
+info: eukleides.info
 
 eukleides.info: $(TEXI)
 	@echo "    Building info pages"
@@ -45,7 +45,8 @@
 
 INST_TARG := $(addprefix install_, $(DOC))
 
-install: $(INST_TARG)
+install:
+#install: $(INST_TARG)
 
 install_info: eukleides.info.gz
 	@echo "    Installing info pages"

=== debian/changelog ===
eukleides (1.5.5-1) unstable; urgency=medium

  * changed the upstream repository, in order to have source code for gcc15
  * New upstream version 1.5.5
  * removed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Dec 2025 18:57:01 +0100

eukleides (1.5.4-6) unstable; urgency=medium

  * modified debian/watch as the service at http://www.eukleides.org is down.
  * bumped Standards-Version: 4.7.2
  * created the patch debian/patches/fixes-for-gcc15.patch. Closes: #1096592

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 10 Dec 2025 16:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  bison,
  libreadline-dev,
  texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: http://www.eukleides.org/
 Vcs-Browser: https://salsa.debian.org/georgesk/eukleides
 Vcs-Git: https://salsa.debian.org/georgesk/eukleides.git

=== debian/watch ===
version=4

# Old discontinued url
# http://www.eukleides.org/download.html files/eukleides[.-](.*)\.tar\.bz2

# GitHub hosted projects.
# checked, on 2025-12-10: this repository contains the same source
# code, but it provides no tags. Nothing was changed there for 7 years
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/georgesk/eukleides/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
